#pragma once
#include "popuplist.h"
#include "buddyevent.h"

class BuddyPopupList :
	public PopupList
{
public:
	BuddyPopupList();
	~BuddyPopupList();

	int Create(HWND parent = 0);
	void DeepRefresh(UserRecord& record);
	virtual void OnCustomNotify(int id, Notification& n);
	virtual void OnListSelect(HWND h, HWND hItem);
	void ClearList();

	static Appearance PublicEvent;
	static Appearance PrivateEvent;

	UserRecord record;

	int spacing;

private:
	void Add(BuddyEvent *);
	void Delete(BuddyEvent *);
};